/*  macpal flight simulator stuff brakeFix is a plugin for Microsoft Flight
    Simulator X and is released under the LGPL v3 (or later). It corrects 
    the brake output to make an autobrake working.
    Copyright 2009, 2010 Knud Krger slomo@mpfss.de

    This file is part of mpFSS.brakeFix.

    mpFSS.brakeFix is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mpFSS.brakeFix is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with mpFSS.brakeFix.  If not, see <http://www.gnu.org/licenses/>. */
#include "stdafx.h"
#ifndef EVENTS_HPP_
#define EVENTS_HPP_

enum NotiGroups {
    ngidHighest = 1,
    ngidPedals,
    ngidNormal    
};

enum Events {
    ev_brake,
    ev_pedalL,
    ev_pedalR,
    ev_throttle,
    in_throttle,
    in_pedalL,
    in_pedalR,
    menu_mpFSS,
    menu_enable,
    menu_options,
    ev_options,
    menu_seperator,
    menu_about,
    rq_dialogMode,
    ev_msgbox,
    rq_msgbox,
#ifndef NDEBUG
    data_brakes,
#endif
    EventsSize
};

#endif
