/*  macpal flight simulator stuff brakeFix is a plugin for Microsoft Flight
    Simulator X and is released under the LGPL v3 (or later). It corrects 
    the brake output to make an autobrake working.
    Copyright 2009, 2010 Knud Krger slomo@mpfss.de

    This file is part of mpFSS.brakeFix.

    mpFSS.brakeFix is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mpFSS.brakeFix is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with mpFSS.brakeFix.  If not, see <http://www.gnu.org/licenses/>. */
#ifndef GLOBALS_HPP_
#define GLOBALS_HPP_

class optData;
class optDialog;
template<typename T>
class MsgBox;

#include "Aligned2.hpp"
#include "strings.hpp"

extern HANDLE           g_scHandle;
extern HWND             g_winHWND;
extern HINSTANCE        g_hInst;
extern optDialog *      g_optsDialog;
//extern optData *        g_options;
extern Aligned2<optData> g_options;
extern bool             g_brakesOn;
extern bool             g_enabled;
extern MsgBox<binfunctor> * g_msgbox;
extern ctstr            g_msg_mpFssErr;
extern ctstr            g_msg_mpFss;
extern ctstr            g_aboutStr;

#endif
