/*  macpal flight simulator stuff brakeFix is a plugin for Microsoft Flight
    Simulator X and is released under the LGPL v3 (or later). It corrects 
    the brake output to make an autobrake working.
    Copyright 2009, 2010 Knud Krger slomo@mpfss.de

    This file is part of mpFSS.brakeFix.

    mpFSS.brakeFix is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mpFSS.brakeFix is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with mpFSS.brakeFix.  If not, see <http://www.gnu.org/licenses/>. */
#include "stdafx.h"

#ifndef REGKEY_HPP_
#define REGKEY_HPP_

class RegKey {
    HKEY    key_;
    explicit RegKey(RegKey const &) {}
    RegKey & operator=(RegKey const &) { return *this; }
public:
    RegKey(HKEY rootKey, LPCTSTR subKey, REGSAM sam);
    ~RegKey();
    void getValue(LPCTSTR valueName, std::tstring & outStr) const;
    void enumSubKeys(std::tstring & outStr) const;
};

#endif
