/*  macpal flight simulator stuff brakeFix is a plugin for Microsoft Flight
    Simulator X and is released under the LGPL v3 (or later). It corrects 
    the brake output to make an autobrake working.
    Copyright 2009, 2010 Knud Krger slomo@mpfss.de

    This file is part of mpFSS.brakeFix.

    mpFSS.brakeFix is free software: you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    mpFSS.brakeFix is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public License
    along with mpFSS.brakeFix.  If not, see <http://www.gnu.org/licenses/>. */
#include "stdafx.h"

#include "strings.hpp"

ctstr errMsg::get(int txtIdx) {
    enum { qtyMsgs = 26 };
    if ( txtIdx < qtyMsgs ) {
        return msgs_[txtIdx];
    } else {
        return _T("");
    }
}

ctstr errMsg::msgs_[] = {
    // 0
    _T("Not enough memory for options which\nmeans the plugin cannot work."),
    // 1
    _T("Could not find the FSX window.\n")
    _T("Please report this via the forum along\n")
    _T("with the name of your FSX window. Thanks.\n")
    _T("The plugin should work as expected, but\n")
    _T("any message dialogs are not centered over\n")
    _T("the window."),
    // 2
    _T("Not enough RAM for options Dialog"),
    // 3
    _T("Cannot scan devices due to an error\n")
    _T("while creating direct input interface"),
    // 4
    _T("Cannot scan devices due to an error\n")
    _T("while creating direct input device"),
    // 5
    _T("Cannot scan devices due to an error\n")
    _T("while trying to acquire joystick"),
    // 6
    _T("Cannot scan devices due to an error\n")
    _T("while getting joystick state"),
    // 7
    _T("Cannot scan devices due to an error\n")
    _T("while getting joystick capabilities"),
    // 8
    _T("Cannot scan devices due to an error\n")
    _T("while saving temporary device"),
    // 9
    _T("Not enough memory for device scanning"),
    // 10
    _T("Device selected in prefs is not available.")
    _T("\nConnect the device and try again or")
    _T("\nchoose another device in the options."),
    // 11
    _T("Device not available"),
    // 12
    _T("Options are not set.\nDo you want to do this now?"),
    // 13
    _T("\nCould not determine the path for the Application Data folder and\n")
    _T("therefore unable to load or save options.\n\nPlease submit a screenshot of this ")
    _T("error message via the forum. Thanks.\n\nDumping available keys:\n"),
    // 14
    _T("Config file is invalid or from an incompatible version"),
    // 15
    _T("Not enough memory to read options"),
    // 16
    _T("Error while reading and validating config"),
    // 17
    _T("Could not create the directory to save options"),
    // 18
    _T("Could not write prefs file.")
    _T("\nRetry or cancel saving prefs?"),
    // 19
    _T("Error while moving temporary options file.\n")
    _T("Options are not saved!"),
    // 20
    _T("Not enough memory to write options"),
    // 21
    _T("Error while creating dialog\n%d"),
    // 22
    _T("Device selected in prefs is not available.")
    _T("\nCancel the dialog, connect the device and")
    _T("\nreopen the dialog or choose another device."),
    // 23
    _T(""), // was same as 11
    // 24
    _T("The brake axes are the same.\n")
    _T("Please assign different axes."),
    // 25
    _T("Cannot scan devices due to an error\n")
    _T("while device enumeration"),
};
